Subject: Re: Looking for a suggestion

From: Jeffrey Hutzelman <[email-masked]>
Date: Fri, 01 Oct 2010 16:57:37 -0400

--On Friday, October 01, 2010 01:46:41 PM -0700 Fred Baker <[email-masked]> 
wrote:

> I have a bit of a problem at the coming IETF meeting. In v6ops, we will
> have a total of 19 drafts to discuss, which there are several possible
> near term outcomes for. I would like to efficiently-and-offline put
> essentially the same question to the WG on each draft: "what should we do
> with it", with a short set of options:   - Abandon the draft
>   - Draft is reasonable but need not be a WG draft
>   - Draft is reasonable but needs work before adoption
>   - Draft is important and close: adopt as working group draft
>   - Draft is ready for WGLC as an informational RFC (individual or WG)
>   - Draft is ready for WGLC as a BCP (WG item)
>
> The "needs work" option wants a pop-up that makes people comment to the
> working group list if they think there is an issue :-)
>
> My first thought was a three dimensional doodle poll, or 19 doodle polls
> (gag). Imagine a spreadsheet format, with draft names down the left side
> and my options across the top, with a way that people can pick a
> radio-button option for each draft, with the outcome being a count of
> people who think each thing. Where "three dimensional" comes in is
> doodle's desire to have people put their name on a line so you can see
> who said what - that would in fact be a third dimension. The downside is
> that while having names in the open is not a bad thing, this begins to
> feel formal in an icky way, akin to voting. I could imagine someone
> wanting it captured in minutes or proceedings.
>
> Could be done in a wiki, but I worry that people might be far too
> creative.
>
> I suppose I could use a tool like Survey Money - make it 19 questions
> each with the same set of options.
>
> What tool would folks suggest that I use?

Honestly, if you can make doodle or something like it not be icky to use, 
that sounds like an excellent approach.  If you're judging consensus on 
these things, you _want_ to know who said what, and what comments they had 
(a line per draft for comments might be a good idea, unless you're 
specifically trying to avoid that to keep the volume manageable).  And when 
it's done, you probably _want_ to take the whole thing and dump it into the 
mailing list.

Think of the poll as a way of organizing discussion that would otherwise 
happen on the mailing list.  Make it clear that it's not a vote; 40 "adopt" 
and 30 "abandon" is not a rough consensus to do either.